<?php

namespace app\model;

use think\Model;
use think\model\concern\SoftDelete;

class UserModel extends Model
{
    protected $name = 'user';
    protected $pk = 'user_id';
    protected $schema = [
        'user_id' => 'int',
        'account' => 'string',
        'name' => 'string',
        'password' => 'string',
        'passwords' => 'string',
        'remark' => 'string',
        'super_switch' => 'int',
        'disable_switch' => 'int',
        'create_time' => 'int',
        'update_time' => 'int',
        'delete_time' => 'int',
    ];
    use SoftDelete;

    protected $deleteTime = 'delete_time';
    protected $defaultSoftDelete = 0;
}